package com.lframework.xingyun.sc.convert;

import com.lframework.xingyun.sc.vo.purchase.QueryPurchaseExportOrderVo;
import com.lframework.xingyun.sc.vo.purchase.QueryPurchaseOrderVo;

public class QueryPurchaseOrderVoConverter {

    public static QueryPurchaseOrderVo convert(QueryPurchaseExportOrderVo exportVo) {
        if (exportVo == null) {
            return null;
        }
        QueryPurchaseOrderVo vo = new QueryPurchaseOrderVo();
        vo.setCode(exportVo.getCode());
        vo.setSupplierId(exportVo.getSupplierId());
        vo.setScId(exportVo.getScId());
        vo.setCreateBy(exportVo.getCreateBy());
        vo.setCreateStartTime(exportVo.getCreateStartTime());
        vo.setCreateEndTime(exportVo.getCreateEndTime());
        vo.setApproveBy(exportVo.getApproveBy());
        vo.setApproveStartTime(exportVo.getApproveStartTime());
        vo.setApproveEndTime(exportVo.getApproveEndTime());
        vo.setStatus(exportVo.getStatus());
        vo.setPurchaserId(exportVo.getPurchaserId());
        return vo;
    }
}